cascading.util.cache

## Interface CacheEvictionCallback<Key,Value>

- All Superinterfaces:
    Serializable

      public interface CacheEvictionCallback<Key,Value>
      extends Serializable

  CacheEvictionCallBack is an interface to be used in conjunction with `CascadingCache` instances. This enables a to do processing whenever an entry is evicted from the Cache.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CacheEvictionCallback` | `NULL` NO-OP implementation of `CacheEvictionCallback`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `evict(Map.Entry<Key,Value> entry)` Method will be called by the `CascadingCache` implementation whenever a key is evicted.

- - ### Field Detail

    - #### NULL

          static final CacheEvictionCallback NULL

      NO-OP implementation of `CacheEvictionCallback`.

  - ### Method Detail

    - #### evict

          void evict(Map.Entry<Key,Value> entry)

      Method will be called by the `CascadingCache` implementation whenever a key is evicted.
      Parameters:
        `entry` - The entry being removed from the cache.

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.